MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023319Community[OCCT] OCCT:Visualizationpublic2012-07-18 13:222012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023319: Typo in AIS_ConcentricRelation.cxx line 156
DescriptionIn method AIS_ConcentricRelation::ComputeTwoVerticesConcentric

if (!isOnPlanVertex1) AIS::ComputeProjVertexPresentation(aPresentation,myDrawer,V2,P2);

should be replaced with

if (!isOnPlanVertex2) AIS::ComputeProjVertexPresentation(aPresentation,myDrawer,V2,P2);

Project 'Vertex2' if it is not on the plane (and NOT 'Vertex1').
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021046)
Pawel (developer)
2012-07-18 14:55

Corresponding git branch pushed. Please review.
(0021082)
abv (manager)
2012-07-19 20:15

No remarks, please test
(0021132)
apn (administrator)
2012-07-23 18:46

Dear BugMaster,
The workbenches
KAS:dev:mkv-23319-occt (GIT branch CR23319)
KAS:dev:mkv-23319-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23319-products_20072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master b804b20e
Timestamp: 2012-07-18 10:42:02
Author: Pawel
Details ] Diff ]
0023319: Typo in AIS_ConcentricRelation.cxx line 156

Checking if the 'Vertex2' (NOT 'Vertex1') is on plane in order to project it.
mod - src/AIS/AIS_ConcentricRelation.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-18 13:22 Pawel New Issue
2012-07-18 13:22 Pawel Assigned To => Pawel
2012-07-18 14:55 Pawel Note Added: 0021046
2012-07-18 14:55 Pawel Assigned To Pawel => bugmaster
2012-07-18 14:55 Pawel Status new => resolved
2012-07-19 20:15 abv Note Added: 0021082
2012-07-19 20:15 abv Status resolved => reviewed
2012-07-20 11:45 mkv Assigned To bugmaster => mkv
2012-07-23 18:46 apn Note Added: 0021132
2012-07-23 18:47 apn Test case number => Not needed
2012-07-23 18:47 apn Assigned To mkv => bugmaster
2012-07-23 18:47 apn Status reviewed => tested
2012-07-30 16:31 Pawel Changeset attached => occt master b804b20e
2012-07-30 16:33 Pawel Assigned To bugmaster => Pawel
2012-07-30 16:33 Pawel Status tested => verified
2012-07-30 16:33 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker